import request from '@/utils/request'

// 获取招投标列表
export function getBiddingManagementList(params) {
  return request({
    url: '/biddingManagement/list',
    method: 'get',
    params
  })
}

// 获取列表状态
export function getStatus(params) {
  return request({
    url: '/dictionary/do_findByParentCode',
    method: 'get',
    params
  })
}

// 获取项目信息
export function getProjectInformation(params) {
  return request({
    url: '/projectInfo/getUserBiddingProjects',
    method: 'get',
    params
  })
}

// 获取全部贸易平台
export function getAllPlatform(params) {
  return request({
    url: '/platform/getAll',
    method: 'get',
    params
  })
}

// 新建招投标提交
export function doAddBiddingManagement(data) {
  return request({
    url: '/biddingManagement/doAdd',
    method: 'post',
    data
  })
}

// 获取详情
export function getDeatail(params) {
  return request({
    url: '/biddingManagement/getDeatail',
    method: 'get',
    params
  })
}

// 查看接口
export function getMyBiddingView(params) {
  return request({
    url: '/businessProcessingTask/doBusinessCHistoryView',
    method: 'get',
    params
  })
}
